<!DOCTYPE html>
<html lang="en">

<head>
  <meta charset="utf-8">
  <meta http-equiv="X-UA-Compatible" content="IE=edge">
  <meta name="robots" content="noindex, nofollow">
  <title>Widgets | Quint Lab</title>
  <meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1, user-scalable=no">
  <meta name="format-detection" content="telephone=no">
  <meta name="description" content="">
  <meta name="author" content="">
  <!-- Bootstrap CSS -->
  <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0-beta.2/css/bootstrap.min.css" integrity="sha384-PsH8R72JQ3SOdhVi3uxftmaW6Vc51MKb0q5P2rRUpPvrszuE4W1povHYgTpBfshb"
    crossorigin="anonymous">
  <link href="https://use.fontawesome.com/releases/v5.0.4/css/all.css" rel="stylesheet">
  <link rel="stylesheet" type="text/css" href="assets/css/index.css">
  <link rel="stylesheet" type="text/css" href="assets/css/switchWidgetPage.css">
  <link rel="stylesheet" type="text/css" href="assets/css/quiz-v2.css">
  <link href="quiz-beta/assets/css/theme.css" rel="stylesheet">
  <link href="quiz-beta/assets/css/template.css" rel="stylesheet">
  <style type="text/css">
    body {
      font-family: 'Oswald', sans-serif;
      background-color: #f4f4f4;
      font-weight: 300;
      font-size: 16px;
    }
  </style>
</head>

<body>
  <nav class="navbar navbar-expand-lg navbar-dark bg-dark"> <a href="#" class="navbar-brand mb-0 h1"> <img src="assets/images/qLabLogo.png"
        alt="" width="100" height="100%" class="d-inline-block align-top"> </a>
  </nav>
  <div class="container" id="main-content">
    <nav aria-label="breadcrumb" role="navigation" id="breadcrumbSection">
      <ol class="breadcrumb">
        <li class="breadcrumb-item"><a href="index.html">Home</a></li>
        <li class="breadcrumb-item active" aria-current="page">Widgets</li>
      </ol>
    </nav>
    <div class="row">
      <div class="col-lg-12">
        <h2 class="display-4">Quiz(beta)</h2>
        <hr>
      </div>
    </div>
    <div class="row">
      <div class="col-lg-6" align="center">
        <h4 class="display-5">Add Questions</h4>
      </div>
      <div class="col-lg-6" align="center">
        <h4 class="display-5"> Preview </h4>
      </div>
    </div>
    <div class="row">
      <div class="col-lg-6">
        <div class="select-template clearfix">
          <label class="select-tmp-label">Select Template:</label>
          <div class="select-tmp-field">
            <select class="form-control">
              <option value="news-quiz">News Desk</option>
              <option value="fit-quiz">FIT</option>
              <option value="bollywood-quiz">Bollywood</option>
            </select>
          </div>
        </div>
      </div>
      <div class="col-sm-6 select-template text-center">
        <div class="btn-preview-block clearfix">
          <button class="btn btn-primary refresh-icon">Preview Quiz</button>
          <div style="display:inline-block">
            <form id="foo">
              <textarea class="hidden-textarea" id="Comments" name="Comments" cols="40" placeholder="Your Message" autocomplete="off" style="display:none"></textarea>
              <button type="submit" class="btn btn-primary generate-quiz-button" disabled="disabled">Get Embed Code
              </button>
            </form>
            <form id="foo_2">
              <textarea class="hidden-textarea" id="Comments_2" name="Comments_2" cols="40" placeholder="Your Message" autocomplete="off"
                style="display:none"></textarea>
            </form>
            <form id="foo_3">
              <textarea class="hidden-textarea" id="Comments_3" name="Comments_3" cols="40" placeholder="Your Message" autocomplete="off"
                style="display:none"></textarea>
            </form>
          </div>
        </div>
      </div>
    </div>
    <div class="row widget-details">
      <div class="col-lg-6 col-sm-12 question-cards" id="draggingQuestions">
        <form>
          <div class="form-group">
            <input class="form-control quizHeadlineInput" placeholder="Quiz Headline" maxlength="18">
          </div>
          <div class="form-group">
            <input class="form-control tag-line tag-line-1" placeholder="Tag line for below 33%...">
            <input class="form-control tag-line tag-line-2" placeholder="Tag line for between 33% & 65%...">
            <input class="form-control tag-line tag-line-3" placeholder="Tag line for above 65%...">
          </div>
        </form>
        <div class="card">
          <div class="card-header">
            <div>
              <h3>
                Question 1
                <button type="button" class="close question-close" aria-label="Close">
                  <span aria-hidden="true">&times;</span>
                </button>
              </h3>
            </div>
          </div>
          <div class="card-body">
            <form>
              <div class="form-group">
                <textarea type="text" rows="3" class="form-control question-text" placeholder="Enter Question..." maxlength="250"></textarea>
                <a href="javascript:void(0);" class="mt-2 addMediaBtn" data-toggle="collapse" role="button" aria-expanded="false">
                  + Add media
                </a>
                <div class="collapse container media-container">
                  <div class="media-thumbnails-div">
                    <ul class="mediaPlaceholderList">
                      <li class="placeholderImage"></li>
                      <li class="placeholderVideo"></li>
                      <li class="placeholderAudio"></li>
                    </ul>
                  </div>
                  <div class="media-input-container">
                    <input class="form-control imageInput" placeholder="Add Image Url...">
                  </div>
                  <div class="media-input-container">
                    <input class="form-control videoInput" placeholder="Add Video Url...">
                  </div>
                  <div class="media-input-container">
                    <input class="form-control audioInput" placeholder="Add Audio Url...">
                  </div>
                  <div class="media-input-container">
                    <input class="form-control mediaCaptionInput" placeholder="Media Caption...">
                  </div>
                </div>
              </div>
              <div class="form-group">
                <div class="container options-container">
                  <div class="option">
                    <ul class="optionInputGroup">
                      <li class="optionRadioLi">
                        <input type="radio" name="optionsRadio" class="optionsRadioInput">
                      </li>
                      <li class="optionInputLi">
                        <input class="form-control optionInput" type="text" id="option-1" placeholder="Option">
                      </li>
                      <li class="options-close-button">
                        <button type="button" class="close option-close" aria-label="Close">
                          <span aria-hidden="true">&times;</span>
                        </button>
                      </li>
                    </ul>
                  </div>
                  <div class="option">
                    <ul class="optionInputGroup">
                      <li class="optionRadioLi">
                        <input type="radio" name="optionsRadio" class="optionsRadioInput">
                      </li>
                      <li class="optionInputLi">
                        <input class="form-control optionInput" type="text" id="option-1" placeholder="Option">
                      </li>
                      <li class="options-close-button">
                        <button type="button" class="close option-close" aria-label="Close">
                          <span aria-hidden="true">&times;</span>
                        </button>
                      </li>
                    </ul>
                  </div>
                </div>
                <div class="text-right">
                  <a href="javascript:void(0);" class="addAnotherOption">+ Add another option</a>
                </div>
              </div>
              <div class="form-group">
                <span class="link-btn"><i class="fa fa-link"></i></span>
                <textarea type="text" rows="3" class="form-control answered-text" placeholder="Answer..." maxlength="450"></textarea>
                <a href="javascript:void(0);" class="mt-2 addMediaBtn" data-toggle="collapse" role="button" aria-expanded="false">
                  + Add media
                </a>
                <div class="collapse container media-container">
                  <div class="media-thumbnails-div">
                    <ul class="mediaPlaceholderList">
                      <li class="placeholderImage"></li>
                      <li class="placeholderVideo"></li>
                      <li class="placeholderAudio"></li>
                    </ul>
                  </div>
                  <div class="media-input-container">
                    <input class="form-control answeredImageInput" placeholder="Add Image Url...">
                  </div>
                  <div class="media-input-container">
                    <input class="form-control answeredVideoInput" placeholder="Add Video Url...">
                  </div>
                  <div class="media-input-container">
                    <input class="form-control answeredAudioInput" placeholder="Add Audio Url...">
                  </div>
                  <div class="media-input-container">
                    <input class="form-control answeredCaptionInput" placeholder="Media Caption...">
                  </div>
                </div>
              </div>
            </form>
          </div>
        </div>
      </div>
      <div class="col-lg-6 col-sm-12">
        <div class="preview-iframe">
        </div>
        <div class="embedded-preview-link"></div>
        <div id="reviewed_embedded_code" class="embedded-preview"></div>
        <div class="quiz-template-02" style="display: none">
          <header class="quiz-header">
            <img src="quiz-beta/assets/images/quiz-line-header.png">
            <h1 class="quiz-headline"></h1>
          </header>
          <div class="preview"></div>
        </div>
      </div>
    </div>
    <div class="row">
      <div class="col-lg-6 col-sm-12">
        <a class="btn btn-primary btn-block btn-lg" id="addQuestionLink" href="javascript:void(0);" role="button">Add Question
        </a>
      </div>
    </div>
  </div>
  <script src="https://ajax.googleapis.com/ajax/libs/jquery/1.12.3/jquery.min.js"></script>
  <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.12.3/umd/popper.min.js" integrity="sha384-vFJXuSJphROIrBnz7yo7oB41mKfc8JzQZiCq4NCceLEaO4IHwicKwpJf9c9IpFgh"
    crossorigin="anonymous"></script>
  <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0-beta.2/js/bootstrap.min.js" integrity="sha384-alpBpkh1PFOepccYVYDB4do5UnbKysX5WZXm3XxPqe5iKTfUKjNkCk9SaVuEZflJ"
    crossorigin="anonymous"></script>
  <script src="https://code.jquery.com/ui/1.12.1/jquery-ui.js"></script>

  <!-- iframeResizer Scripts -->
  <script src="assets/js/iframeResizer.min.js"></script>

  <script>
    $("#draggingQuestions").sortable();
    $("#draggingQuestions").disableSelection();
    var questionNumber = 0;
    var quiz_data = [];
    var quiz_data_2 = [];
    var option_data = [];
    optionNumber = 1;
    imageNumber = 0;
    videoNumber = 0;
    audioNumber = 0;

    function addHref() {
      $(".card:last-child .link-btn").click(function () {
        if ($(".answered-text").val().length < 430) {
          $(this).siblings(".answered-text").val($(this).siblings(".answered-text").val() + " <a target='_blank' href='Insert URL'>Link Text</a> ");

        }
      });
    }
    addHref();

    addAnotherOptionClick();

    function buildPreview() {

      $('.preview').html("");
      $(".quiz-template-02").show();
      var str = '';
      for (var i = 0; i < quiz_data.length; i++) {

        for (var j = 0; j < quiz_data[i].options.length; j++) {
          str = str + '<li' + ((quiz_data[i].options[j].isC == true) ? ' class="bg-success"' : '') + '><label class="lbl' + ((quiz_data[i].options[j].isC == true) ? ' text-white"' : '') + '">' + (quiz_data[i].options[j].oIU == null ? (quiz_data[i].options[j].oVU == null ? (quiz_data[i].options[j].optionAudioUrl == null ? '' : '<iframe width="100%" height="300" style="background-color:transparent; display:block; padding: 0; max-width: 700px;" frameborder="0" allowtransparency="allowtransparency" scrolling="no" src="https:' + quiz_data[i].options[j].optionAudioUrl + '" title="Audioboom player"></iframe>') : '<iframe src="https://www.youtube.com/embed/" + ' + quiz_data[i].options[j].oVU + ' + "" frameborder="0" gesture="media" allow="encrypted-media" allowfullscreen></iframe>') : '<img src="' + quiz_data[i].options[j].oIU + '">') + quiz_data[i].options[j].oT + '</label></li>';
        }

        var media = '';
        if (quiz_data[i]['qIU']) //image
        {
          media = media + '<div class="question-media--image"><img src = "' + quiz_data[i]['qIU'] + '"></div>';
        }
        if (quiz_data[i]['qVU']) // video
        {
          media = media + '<div class="question-media--video"><iframe src="https://www.youtube.com/embed/' + quiz_data[i]['qVU'] + '" frameborder="0" gesture="media" allow="encrypted-media" allowfullscreen></iframe></div>';
        }
        if (quiz_data[i]['qAU']) //Audio
        {
          media = media + '<div class="question-media--audio">' + quiz_data[i]['qAU'] + '</div>';
        }

        var ans_media = '';
        if (quiz_data[i]['aIU']) //image
        {
          ans_media = ans_media + '<div class="question-media--image"><img src = "' + quiz_data[i]['aIU'] + '"></div>';
        }
        if (quiz_data[i]['aVU']) // video
        {
          ans_media = ans_media + '<div class="question-media--video"><iframe src="https://www.youtube.com/embed/' + quiz_data[i]['aVU'] + '" frameborder="0" gesture="media" allow="encrypted-media" allowfullscreen></iframe></div>';
        }
        if (quiz_data[i]['aAU']) //Audio
        {
          ans_media = ans_media + '<div class="question-media--audio">' + quiz_data[i]['aAU'] + '</div>';
        }

        $('.preview').append('<div class="questions"><div class="question-box"><div class="question-media"></div>' + media + '<div class="question-media--caption">' + quiz_data[i]['mC'] + '</div><div class="question-headline"><div class="bullet"><span>' + (i + 1) + '</span></div><h1 class="headline-text">' + quiz_data[i]['qT'].toString() + '</h1></div>' + '<div class="question-options"><ul class="answer-type demo-list">' + str + '</ul><div class="answered-text"><div class="answered-description">' + quiz_data[i]['aT'] + '</div><div class="answered-media">' + ans_media + '</div><div class="answered-caption">' + quiz_data[i]['aC'] + '</div>  </div></div></div></div>');
        str = '';

        $(".question-media, .answered-media").each(function () {
          if ($(this).html() == "") {
            $(this).remove();
          }
        });

        $(".question-media--caption, .answered-caption").each(function () {
          if ($(this).html() == "" || $(this).html() == "undefined") {
            $(this).remove();
          }
        });
      }

      $('.quiz-headline').html('<span>' + $('.quizHeadlineInput').val() + '</span>');
      $('.quiz-template-02').attr('class', 'quiz-template-02');
      $('.quiz-template-02').addClass($('.select-tmp-field select').val());
      $('.quiz-template-02.fit-quiz .quiz-header img').attr('src', 'quiz-beta/assets/images/fit-banner.jpg');
      $('.quiz-template-02.bollywood-quiz .quiz-header img').attr('src', 'quiz-beta/assets/images/bollywood-banner.jpg');
      return;
    }

    function addAnotherOptionClick() {
      $(".card:last-child").find(".addAnotherOption").on('click', function (e) {
        e.preventDefault();
        // optionNumber++;
        $(this).parent().parent().find(".options-container").append('<div class="option"><ul class="optionInputGroup"><li class="optionRadioLi"><input type="radio" name="optionsRadio" class="optionsRadioInput"></li><li class="optionInputLi"><input class="form-control optionInput" type="text" id="option-1" placeholder="Option"></li><li class="options-close-button"><button type="button" class="close option-close" aria-label="Close"><span aria-hidden="true">&times;</span></button></li><li><div class="collapse container media-container"><div class="media-thumbnails-div"><ul class="mediaPlaceholderList"><li class="placeholderImage"></li><li class="placeholderVideo"></li><li class="placeholderAudio"></li><li class="placeholderCaption"></li></ul></div><div class="media-input-container"><input class="form-control imageInput" placeholder="Add Image Url..."></div><div class="media-input-container"><input class="form-control videoInput" placeholder="Add Video Url..."></div><div class="media-input-container"><input class="form-control audioInput" placeholder="Add Audio Url..."></div><div class="media-input-container"><input class="form-control mediaCaptionInput" placeholder="Media Caption..."></div></div></li></ul></div>');
        resetEvents();
      });
    }

    function resetEvents() {
      $(".option-close").on('click', function () {
        $(this).closest(".option").remove();
      });

      $(".question-close").on('click', function () {
        $(this).closest(".card").remove();
      });

      $(".addMediaBtn").on("click", function (e) {
        e.preventDefault();
        $(this).next().collapse('toggle');
      });

      $(".imageInput").on("change", function () {
        $(this).closest(".media-container").find(".placeholderImage").html("<img src='" + $(this).val() + "'>");
      });
      $(".videoInput").on("change", function () {
        $(this).closest(".media-container").find(".placeholderVideo").html("<iframe src='https://www.youtube.com/embed/" + $(this).val() + "' frameborder='0' gesture='media' allow='encrypted-media' allowfullscreen></iframe>");
      });
      $(".audioInput").on("change", function () {
        $(this).closest(".media-container").find(".placeholderAudio").html($(this).val());
      });
      $(".mediaCaptionInput").on("change", function () {
        $(this).closest(".media-container").find(".placeholderCaption").html($(this).val());
      });

      $(".answeredImageInput").on("change", function () {
        $(this).closest(".media-container").find(".placeholderImage").html("<img src='" + $(this).val() + "'>");
      });
      $(".answeredVideoInput").on("change", function () {
        $(this).closest(".media-container").find(".placeholderVideo").html("<iframe src='https://www.youtube.com/embed/" + $(this).val() + "' frameborder='0' gesture='media' allow='encrypted-media' allowfullscreen></iframe>");
      });
      $(".answeredAudioInput").on("change", function () {
        $(this).closest(".media-container").find(".placeholderAudio").html($(this).val());
      });

    }
    resetEvents();

    var i = 0,
      x;

    function addQuestionUi() {
      $('.question-cards').append('<div class="card"><div class="card-header"><div><h3>Question ' + (quiz_data.length + 1) + '<button type="button" class="close question-close" aria-label="Close"><span aria-hidden="true">&times;</span></button></h3></div></div><div class="card-body"><form><div class="form-group"><textarea type="text" rows="3" class="form-control question-text" placeholder="Enter Question..."maxlength="250"></textarea></textarea><a href="javascript:void(0);" class="mt-2 addMediaBtn" data-toggle="collapse" role="button" aria-expanded="false">+ Add media</a><div class="collapse container media-container"><div class="media-thumbnails-div"><ul class="mediaPlaceholderList"><li class="placeholderImage"></li><li class="placeholderVideo"></li><li class="placeholderAudio"></li></ul></div><div class="media-input-container"><input class="form-control imageInput" placeholder="Add Image Url..."></div><div class="media-input-container"><input class="form-control videoInput" placeholder="Add Video Url..."></div><div class="media-input-container"><input class="form-control audioInput" placeholder="Add Audio Url..."></div><div class="media-input-container"><input class="form-control mediaCaptionInput" placeholder="Media Caption..."></div></div></div><div class="form-group"><div class="container options-container"><div class="option"><ul class="optionInputGroup"><li class="optionRadioLi"><input type="radio" name="optionsRadio" class="optionsRadioInput"></li><li class="optionInputLi"><input class="form-control optionInput" type="text" id="option-1" placeholder="Option"></li><li class="options-close-button"><button type="button" class="close option-close" aria-label="Close"><span aria-hidden="true">&times;</span></button></ul></div>  <div class="option"><ul class="optionInputGroup"><li class="optionRadioLi"><input type="radio" name="optionsRadio" class="optionsRadioInput"></li><li class="optionInputLi"><input class="form-control optionInput" type="text" id="option-1" placeholder="Option"></li><li class="options-close-button"><button type="button" class="close option-close" aria-label="Close"><span aria-hidden="true">&times;</span></button></ul></div></div><div class="text-right"><a href="javascript:void(0);" class="addAnotherOption">+ Add another option</a></div></div><div class="form-group"><span class="link-btn"><i class="fa fa-link"></i></span><textarea type="text" rows="3" class="form-control answered-text" placeholder="Answer..." maxlength="450"></textarea><a href="javascript:void(0);" class="mt-2 addMediaBtn" data-toggle="collapse" role="button" aria-expanded="false">+ Add media</a><div class="collapse container media-container"><div class="media-thumbnails-div"><ul class="mediaPlaceholderList"><li class="placeholderImage"></li><li class="placeholderVideo"></li><li class="placeholderAudio"></li></ul></div><div class="media-input-container"><input class="form-control answeredImageInput" placeholder="Add Image Url..."></div><div class="media-input-container"><input class="form-control answeredVideoInput" placeholder="Add Video Url..."></div><div class="media-input-container"><input class="form-control answeredAudioInput" placeholder="Add Audio Url..."></div><div class="media-input-container"><input class="form-control answeredCaptionInput" placeholder="Media Caption..."></div></div></div></form></div></div>');
      resetEvents();
      addAnotherOptionClick();
      return;
    }

    var flag = 0,
      correctInputSelectedFlag = -1;

    function addQuestionFunc() {
      flag = 0;
      correctInputSelectedFlag = -1;
      quiz_data = [];

      if ($(".quizHeadlineInput").val() == "") {
        alert("Please Enter Quiz Headline");
        return;
      } else if ($('.tag-line-1').val() == "") {
        alert("Add tag line 1...");
        return;
      } else if ($('.tag-line-2').val() == "") {
        alert("Add tag line 2...");
        return;
      } else if ($('.tag-line-3').val() == "") {
        alert("Add tag line 3...");
        return;
      }

      $(".card").each(function () {
        quiz_data.push({});

        if ($(this).find(".question-text").val() == "") {
          alert("Please Enter some text for questions");
          flag = -1;
          return false;
        }

        if ($(this).find("input:radio[name='optionsRadio']").is(":checked")) {
          correctInputSelectedFlag = 0;
        } else {
          alert("One of the options must be marked true...!!!");
          quiz_data = [];
          option_data = [];
          flag = -1;
          return false;
        }

        if ($(this).find(".option").length < 2 || option_data.length < 0) {
          alert("Add atleast two options...!!!");
          quiz_data = [];
          option_data = [];
          flag = -1;
          return false;
        }

        if ($(this).find(".answered-text").val() == "") {
          alert("Please Enter some text for answer (hint)");
          flag = -1;
          return false;
        }

        $(".btn.btn-primary.generate-quiz-button").removeAttr("disabled");

        quiz_data[i]['selectTemp'] = $('.select-tmp-field select').val();

        quiz_data[i]['qT'] = $(this).find(".question-text").val().toString();

        if ($(this).find(".imageInput").val() != "")
          quiz_data[i]['qIU'] = $(this).find(".imageInput").val();
        if ($(this).find(".videoInput").val() != "")
          quiz_data[i]['qVU'] = $(this).find(".videoInput").val();
        if ($(this).find(".audioInput").val() != "")
          quiz_data[i]['qAU'] = $(this).find(".audioInput").val();
        if ($(this).find(".mediaCaptionInput").val() != "")
          quiz_data[i]['mC'] = $(this).find(".mediaCaptionInput").val();

        quiz_data[i]['aT'] = $(this).find(".answered-text").val();

        quiz_data[i]['aIU'] = $(this).find(".answeredImageInput").val();
        quiz_data[i]['aVU'] = $(this).find(".answeredVideoInput").val();
        quiz_data[i]['aAU'] = $(this).find(".answeredAudioInput").val();
        quiz_data[i]['aC'] = $(this).find(".answeredCaptionInput").val();

        $(this).find(".option").each(function (index) {
          if ($(this).find(".optionInput").val() == "") {
            alert("Option text cannot be null...");
            option_data = [];
            quiz_data[i] = [];
            flag = -1;
            return false;
          }
          option_data.push({});
          option_data[index]['oT'] = $(this).find(".optionInput").val().toString();
          option_data[index]['oIU'] = $(this).find(".imageInput").val();
          option_data[index]['oVU'] = $(this).find(".videoInput").val();

          if ($(this).find("input:radio[name='optionsRadio']").is(":checked")) {
            option_data[index]['isC'] = true;

          } else {
            option_data[index]['isC'] = false;
          }
        });

        quiz_data[i]['options'] = option_data;
        option_data = [];
        i++;
        x = i;
      });

      i = 0;

      if (quiz_data.length > 0 && flag != -1) {
        buildPreview();

        var quiz_string = JSON.stringify(quiz_data);

        $("#Comments").val(quiz_string.substring(0, quiz_string.length / 3));
        $("#Comments_2").val(quiz_string.substring(quiz_string.length / 3, 2 * quiz_string.length / 3));
        $("#Comments_3").val(quiz_string.substring(2 * quiz_string.length / 3, quiz_string.length));
      }
    }

    $("#addQuestionLink").click(function () {
      addQuestionFunc();

      if (quiz_data.length > 0 && flag != -1) {
        addQuestionUi();
        addHref();
      }
    });

    $('.refresh-icon').click(function () {
      addQuestionFunc();

    });

    function copyHandler() {
      $(".copy-val").click(function () {
        $(".iframe-link").select();
        document.execCommand('copy');
      });
    }

    var request, request_2, request_3, requestMongo;

    $("#foo").submit(function (event) {
      event.preventDefault();
      if ($('.tag-line-1').val() == "") {
        alert("Add tag line 1...");
        return;
      } else if ($('.tag-line-2').val() == "") {
        alert("Add tag line 2...");
        return;
      } else if ($('.tag-line-3').val() == "") {
        alert("Add tag line 3...");
        return;
      } else if (quiz_data.length <= 0) {
        alert("Please Enter questions first...!!!");
        return;
      }
      if (!confirm("Are You sure?\n Quiz once generated could not be edited...")) {
        return;
      }

      quiz_data.push({});

      quiz_data[x]['qH'] = $('.quizHeadlineInput').val();

      quiz_data[x]['tL1'] = $('.tag-line-1').val();
      quiz_data[x]['tL2'] = $('.tag-line-2').val();
      quiz_data[x]['tL3'] = $('.tag-line-3').val();

      var quiz_string = JSON.stringify(quiz_data);

      console.log(quiz_string)

      $("#Comments").val(quiz_string.substring(0, quiz_string.length / 3));
      $("#Comments_2").val(quiz_string.substring(quiz_string.length / 3, 2 * quiz_string.length / 3));
      $("#Comments_3").val(quiz_string.substring(2 * quiz_string.length / 3, quiz_string.length));

      // add value to the textarea
      if (request) {
        request.abort();
      }
      // setup some local variables
      var $form = $("#foo");
      // let's select and cache all the fields
      var $inputs = $form.find("input, select, button, textarea");
      // serialize the data in the form
      var serializedData = $form.serialize();


      var $form_2 = $("#foo_2");
      // let's select and cache all the fields
      var $inputs_2 = $form_2.find("input, select, button, textarea");
      // serialize the data in the form
      var serializedData_2 = $form_2.serialize();

      var $form_3 = $("#foo_3");
      // let's select and cache all the fields
      var $inputs_3 = $form_3.find("input, select, button, textarea");
      // serialize the data in the form
      var serializedData_3 = $form_3.serialize();

      // Disabled form elements will not be serialized.
      $inputs.prop("disabled", true);
      $('#result').text('Sending data...');



      // fire off the request to /form.php

      requestMongo = $.ajax({
        url: "https://quiz.tqlab.in/quiz/" + quiz_string,
        type: "get",
        success: function (result) {
          // console.log("Added data in the db")
          // console.log(result)
        }
      })

      requestMongo.done((data) => {
        // console.log("Worked!!! added data in the db")
        // console.log("Response object: " + data)


        $(".preview-iframe").html("<div class='preview-iframe--wrap'><iframe src='https://www.thequint.com/quintlab/dashboard/quiz-beta/index.html?id=" + parseInt(data) + "' width='100%' frameborder='0' id='the_iframe'></iframe></div>");

        $('.embedded-preview-link').html('<div class="checkbox"><input type="checkbox" id="review_check" value="text" onclick="myFunction()"><label for="review_check">I have reviewed the above Quiz & it looks perfect.</label></div>');

        var str = "<iframe src='https://www.thequint.com/quintlab/dashboard/quiz-beta/index.html?id=" + parseInt(data) + "' width='100%' frameborder='0'></iframe>";

        $('.embedded-preview').html('<form><div class="form-group"><label for="text"><strong>Embedded Code</strong></label><textarea type="text" rows="5" class="form-control iframe-link" placeholder="The link will be shown here...">' + str + '</textarea><span class="copy-val">Copy</span></div></form>');
        setTimeout(() => {
          call_resizer();
        }, 5000);
        //call_resizer()


        // iFrame resizer custom code

        //   call_resizer()

        $(".btn-preview-block").hide();
        $("#addQuestionLink").hide();

        copyHandler();
      })


      $(".quiz-template-02").hide();
      $(".preview-iframe").css("min-height", "300px");
    });


    function call_resizer() {
      iFrameResize({
        log: true, // Enable console logging
        enablePublicMethods: true, // Enable methods within iframe hosted page
        resizedCallback: function (messageData) { // Callback fn when resize is received
          console.log("pulkita" + messageData.iframe.id + "|" + messageData.height);
        },
        messageCallback: function (messageData) { // Callback fn when message is received
          console.log("pulkitb" + messageData.iframe.id + "|" + messageData.height);
        },
        closedCallback: function (id) { // Callback fn when iFrame is closed
          console.log("pulkitc" + messageData.iframe.id + "|" + messageData.height);
        }
      });
    }
  </script>
  <script>
    function myFunction() {
      var checkBox = document.getElementById("review_check");
      var text = document.getElementById("reviewed_embedded_code");
      if (checkBox.checked == true) {
        text.style.display = "block";
      } else {
        text.style.display = "none";
      }
    }
  </script>
</body>

</html>